Package org.opensaml.saml.saml1.core.impl

# Class SubjectImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.SubjectImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Subject`

public class SubjectImpl extends AbstractXMLObject implements Subject
Complete implementation of `Subject`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private NameIdentifier`
`nameIdentifier`
Contains the NameIdentifier inside the Subject.
`private SubjectConfirmation`
`subjectConfirmation`
Contains the SubjectConfirmation inside the Subject.

### Fields inherited from interface org.opensaml.saml.saml1.core.Subject

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubjectImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`NameIdentifier`
`getNameIdentifier()`
Get the name identifier.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`SubjectConfirmation`
`getSubjectConfirmation()`
Get the subject confirmation.
`void`
`setNameIdentifier(NameIdentifier name)`
Set the name identifier.
`void`
`setSubjectConfirmation(SubjectConfirmation conf)`
Set the subject confirmation.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### nameIdentifier

@Nullable private NameIdentifier nameIdentifier
Contains the NameIdentifier inside the Subject.

### subjectConfirmation

@Nullable private SubjectConfirmation subjectConfirmation
Contains the SubjectConfirmation inside the Subject.

## Constructor Details

### SubjectImpl

protected SubjectImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getNameIdentifier

@Nullable public NameIdentifier getNameIdentifier()
Get the name identifier.

Specified by:
  `getNameIdentifier` in interface `Subject`
Returns:
  the name identifier

### setNameIdentifier

public void setNameIdentifier(@Nullable NameIdentifier name)
Set the name identifier.

Specified by:
  `setNameIdentifier` in interface `Subject`
Parameters:
  `name` - the name identifier

### getSubjectConfirmation

@Nullable public SubjectConfirmation getSubjectConfirmation()
Get the subject confirmation.

Specified by:
  `getSubjectConfirmation` in interface `Subject`
Returns:
  the subject confirmation

### setSubjectConfirmation

public void setSubjectConfirmation(@Nullable SubjectConfirmation conf)
Set the subject confirmation.

Specified by:
  `setSubjectConfirmation` in interface `Subject`
Parameters:
  `conf` - the subject confirmation

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements